> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Person

> Update a person's data in Alloy and Finxact.



## OpenAPI

````yaml PATCH /partner/clover/customers/person/{person_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/customers/person/{person_id}:
    patch:
      tags:
        - Clover
      summary: Patch Person
      description: Update a person's data in Alloy and Finxact.
      operationId: patch_person_partner_clover_customers_person__person_id__patch
      parameters:
        - name: person_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Person Id
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePersonRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdatePersonRequest:
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Middle Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        date_of_birth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date Of Birth
        home_address:
          anyOf:
            - $ref: '#/components/schemas/UpdatePersonAddressRequest'
            - type: 'null'
        tin:
          anyOf:
            - type: string
            - type: 'null'
          title: Tin
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        employer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Employer Name
        employment_status:
          anyOf:
            - $ref: '#/components/schemas/EmploymentStatusEnum'
            - type: 'null'
        occupation:
          anyOf:
            - type: string
            - type: 'null'
          title: Occupation
        ownership_percentage:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
          title: Ownership Percentage
        work_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Work Title
        controller:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Controller
      type: object
      title: UpdatePersonRequest
      description: Sparse person update schema for PATCH person endpoint.
    ResponseSchema:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
      type: object
      required:
        - message
      title: ResponseSchema
      description: Generic API response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UpdatePersonAddressRequest:
      properties:
        street_1:
          anyOf:
            - type: string
            - type: 'null'
          title: Street 1
        street_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Street 2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
              maxLength: 2
              minLength: 2
            - type: 'null'
          title: State
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip Code
        country:
          anyOf:
            - type: string
              maxLength: 2
              minLength: 2
            - type: 'null'
          title: Country
      type: object
      title: UpdatePersonAddressRequest
      description: Sparse address update schema for PATCH person endpoint.
    EmploymentStatusEnum:
      type: string
      enum:
        - employed
        - retired
        - unemployed
      title: EmploymentStatusEnum
      description: Enum for employment status.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````